path: /build/build/xorg-proto-x11-base-2024.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-base/xorg-proto -pv -t && \
    emerge -j ${JOBS} --nodeps x11-base/xorg-proto && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/xorg-proto && \
    luet-portage --dir /pkgdir/xorg-proto x11-base/xorg-proto && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:0cf4bbdbef15ac7268e83ec867805133d15853e2517e6dc23b6811d026338517
  package:
    name: xorg-proto
    version: "2024.1"
    category: x11-base
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: X.Org combined protocol headers
    uri:
    - https://cgit.freedesktop.org/xorg/proto/xorgproto/
    license: GPL-2 MIT
    buildtimestamp: 2025-04-06 11:20:06.373705446 +0000 UTC m=+87.154365330
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      RDEPEND: =x11-proto/applewmproto-1.4.2*:0/stub =x11-proto/bigreqsproto-1.1.2*:0/stub
        =x11-proto/compositeproto-0.4.2*:0/stub =x11-proto/damageproto-1.2.1*:0/stub
        =x11-proto/dmxproto-2.3.1*:0/stub =x11-proto/dpmsproto-1.2*:0/stub =x11-proto/dri2proto-2.8*:0/stub
        =x11-proto/dri3proto-1.4*:0/stub =x11-proto/evieproto-1.1.1*:0/stub =x11-proto/fixesproto-6.1*:0/stub
        =x11-proto/fontcacheproto-0.1.3*:0/stub =x11-proto/fontsproto-2.1.3*:0/stub
        =x11-proto/glproto-1.4.17*:0/stub =x11-proto/inputproto-2.3.99.2*:0/stub =x11-proto/kbproto-1.0.7*:0/stub
        =x11-proto/lg3dproto-5.0*:0/stub =x11-proto/presentproto-1.4*:0/stub =x11-proto/printproto-1.0.5*:0/stub
        =x11-proto/randrproto-1.6.0*:0/stub =x11-proto/recordproto-1.14.2*:0/stub
        =x11-proto/renderproto-0.11.1*:0/stub =x11-proto/resourceproto-1.2.0*:0/stub
        =x11-proto/scrnsaverproto-1.2.3*:0/stub =x11-proto/trapproto-3.4.3*:0/stub
        =x11-proto/videoproto-2.3.3*:0/stub =x11-proto/windowswmproto-1.0.4*:0/stub
        =x11-proto/xcalibrateproto-0.1.0*:0/stub =x11-proto/xcmiscproto-1.2.2*:0/stub
        =x11-proto/xextproto-7.3.0*:0/stub =x11-proto/xf86bigfontproto-1.2.0*:0/stub
        =x11-proto/xf86dgaproto-2.1*:0/stub =x11-proto/xf86driproto-2.1.1*:0/stub
        =x11-proto/xf86miscproto-0.9.3*:0/stub =x11-proto/xf86rushproto-1.1.2*:0/stub
        =x11-proto/xf86vidmodeproto-2.3.1*:0/stub =x11-proto/xineramaproto-1.2.1*:0/stub
        =x11-proto/xproto-7.0.33*:0/stub =x11-proto/xproxymngproto-1.0.3*:0/stub =x11-proto/xwaylandproto-1.0*:0/stub
      emerge.packages: x11-base/xorg-proto
      kit: xorg-kit
      original.package.name: x11-base/xorg-proto
      original.package.slot: "0"
      original.package.version: "2024.1"
    treedir: /build/packages
  package_dir: /pkgdir/xorg-proto
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b6b77c2af9a156d522a159b2c966f7a77a3f1138786ec9dcdb77ad3fdbc095b7
compressiontype: zstd
files:
- usr/include/GL/glxint.h
- usr/include/GL/glxmd.h
- usr/include/GL/glxproto.h
- usr/include/GL/glxtokens.h
- usr/include/GL/internal/glcore.h
- usr/include/X11/DECkeysym.h
- usr/include/X11/HPkeysym.h
- usr/include/X11/Sunkeysym.h
- usr/include/X11/X.h
- usr/include/X11/XF86keysym.h
- usr/include/X11/XWDFile.h
- usr/include/X11/Xalloca.h
- usr/include/X11/Xarch.h
- usr/include/X11/Xatom.h
- usr/include/X11/Xdefs.h
- usr/include/X11/Xfuncproto.h
- usr/include/X11/Xfuncs.h
- usr/include/X11/Xmd.h
- usr/include/X11/Xos.h
- usr/include/X11/Xos_r.h
- usr/include/X11/Xosdefs.h
- usr/include/X11/Xpoll.h
- usr/include/X11/Xproto.h
- usr/include/X11/Xprotostr.h
- usr/include/X11/Xthreads.h
- usr/include/X11/Xw32defs.h
- usr/include/X11/Xwindows.h
- usr/include/X11/Xwinsock.h
- usr/include/X11/ap_keysym.h
- usr/include/X11/dri/xf86dri.h
- usr/include/X11/dri/xf86driproto.h
- usr/include/X11/dri/xf86dristr.h
- usr/include/X11/extensions/EVI.h
- usr/include/X11/extensions/EVIproto.h
- usr/include/X11/extensions/XI.h
- usr/include/X11/extensions/XI2.h
- usr/include/X11/extensions/XI2proto.h
- usr/include/X11/extensions/XIproto.h
- usr/include/X11/extensions/XKB.h
- usr/include/X11/extensions/XKBproto.h
- usr/include/X11/extensions/XKBsrv.h
- usr/include/X11/extensions/XKBstr.h
- usr/include/X11/extensions/XResproto.h
- usr/include/X11/extensions/Xv.h
- usr/include/X11/extensions/XvMC.h
- usr/include/X11/extensions/XvMCproto.h
- usr/include/X11/extensions/Xvproto.h
- usr/include/X11/extensions/ag.h
- usr/include/X11/extensions/agproto.h
- usr/include/X11/extensions/applewmconst.h
- usr/include/X11/extensions/applewmproto.h
- usr/include/X11/extensions/bigreqsproto.h
- usr/include/X11/extensions/bigreqstr.h
- usr/include/X11/extensions/composite.h
- usr/include/X11/extensions/compositeproto.h
- usr/include/X11/extensions/cup.h
- usr/include/X11/extensions/cupproto.h
- usr/include/X11/extensions/damageproto.h
- usr/include/X11/extensions/damagewire.h
- usr/include/X11/extensions/dbe.h
- usr/include/X11/extensions/dbeproto.h
- usr/include/X11/extensions/dmx.h
- usr/include/X11/extensions/dmxproto.h
- usr/include/X11/extensions/dpmsconst.h
- usr/include/X11/extensions/dpmsproto.h
- usr/include/X11/extensions/dri2proto.h
- usr/include/X11/extensions/dri2tokens.h
- usr/include/X11/extensions/dri3proto.h
- usr/include/X11/extensions/ge.h
- usr/include/X11/extensions/geproto.h
- usr/include/X11/extensions/lbx.h
- usr/include/X11/extensions/lbxproto.h
- usr/include/X11/extensions/mitmiscconst.h
- usr/include/X11/extensions/mitmiscproto.h
- usr/include/X11/extensions/multibufconst.h
- usr/include/X11/extensions/multibufproto.h
- usr/include/X11/extensions/panoramiXproto.h
- usr/include/X11/extensions/presentproto.h
- usr/include/X11/extensions/presenttokens.h
- usr/include/X11/extensions/randr.h
- usr/include/X11/extensions/randrproto.h
- usr/include/X11/extensions/recordconst.h
- usr/include/X11/extensions/recordproto.h
- usr/include/X11/extensions/recordstr.h
- usr/include/X11/extensions/render.h
- usr/include/X11/extensions/renderproto.h
- usr/include/X11/extensions/saver.h
- usr/include/X11/extensions/saverproto.h
- usr/include/X11/extensions/secur.h
- usr/include/X11/extensions/securproto.h
- usr/include/X11/extensions/shapeconst.h
- usr/include/X11/extensions/shapeproto.h
- usr/include/X11/extensions/shapestr.h
- usr/include/X11/extensions/shm.h
- usr/include/X11/extensions/shmproto.h
- usr/include/X11/extensions/shmstr.h
- usr/include/X11/extensions/syncconst.h
- usr/include/X11/extensions/syncproto.h
- usr/include/X11/extensions/syncstr.h
- usr/include/X11/extensions/xcmiscproto.h
- usr/include/X11/extensions/xcmiscstr.h
- usr/include/X11/extensions/xf86bigfont.h
- usr/include/X11/extensions/xf86bigfproto.h
- usr/include/X11/extensions/xf86bigfstr.h
- usr/include/X11/extensions/xf86dga.h
- usr/include/X11/extensions/xf86dga1const.h
- usr/include/X11/extensions/xf86dga1proto.h
- usr/include/X11/extensions/xf86dga1str.h
- usr/include/X11/extensions/xf86dgaconst.h
- usr/include/X11/extensions/xf86dgaproto.h
- usr/include/X11/extensions/xf86dgastr.h
- usr/include/X11/extensions/xf86vm.h
- usr/include/X11/extensions/xf86vmproto.h
- usr/include/X11/extensions/xf86vmstr.h
- usr/include/X11/extensions/xfixesproto.h
- usr/include/X11/extensions/xfixeswire.h
- usr/include/X11/extensions/xtestconst.h
- usr/include/X11/extensions/xtestext1const.h
- usr/include/X11/extensions/xtestext1proto.h
- usr/include/X11/extensions/xtestproto.h
- usr/include/X11/extensions/xwaylandproto.h
- usr/include/X11/fonts/FS.h
- usr/include/X11/fonts/FSproto.h
- usr/include/X11/fonts/font.h
- usr/include/X11/fonts/fontproto.h
- usr/include/X11/fonts/fontstruct.h
- usr/include/X11/fonts/fsmasks.h
- usr/include/X11/keysym.h
- usr/include/X11/keysymdef.h
- usr/share/doc/xorg-proto-2024.1/AUTHORS.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-applewmproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-bigreqsproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-compositeproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-damageproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-dmxproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-dri2proto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-dri3proto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-evieproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-fixesproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-fontcacheproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-fontsproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-glproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-inputproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-kbproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-lg3dproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-pmproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-presentproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-printproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-randrproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-recordproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-renderproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-resourceproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-scrnsaverproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-trapproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-videoproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-windowswmproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-x11proto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xcmiscproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xextproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xf86bigfontproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xf86dgaproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xf86driproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xf86miscproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xf86rushproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xf86vidmodeproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xineramaproto.bz2
- usr/share/doc/xorg-proto-2024.1/COPYING-xwaylandproto.bz2
- usr/share/doc/xorg-proto-2024.1/PM_spec.bz2
- usr/share/doc/xorg-proto-2024.1/README.md.bz2
- usr/share/doc/xorg-proto-2024.1/compositeproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/damageproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/dri2proto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/dri3proto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/fixesproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/meson_options.txt
- usr/share/doc/xorg-proto-2024.1/presentproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/randrproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/renderproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/resproto.txt.bz2
- usr/share/doc/xorg-proto-2024.1/xv-protocol-v2.txt.bz2
- usr/share/doc/xorg-proto-2024.1/xwaylandproto.txt.bz2
- usr/share/doc/xorgproto/compositeproto.txt.bz2
- usr/share/doc/xorgproto/damageproto.txt.bz2
- usr/share/doc/xorgproto/dri2proto.txt.bz2
- usr/share/doc/xorgproto/dri3proto.txt.bz2
- usr/share/doc/xorgproto/fixesproto.txt.bz2
- usr/share/doc/xorgproto/presentproto.txt.bz2
- usr/share/doc/xorgproto/randrproto.txt.bz2
- usr/share/doc/xorgproto/renderproto.txt.bz2
- usr/share/doc/xorgproto/resproto.txt.bz2
- usr/share/doc/xorgproto/xv-protocol-v2.txt.bz2
- usr/share/doc/xorgproto/xwaylandproto.txt.bz2
- usr/share/pkgconfig/applewmproto.pc
- usr/share/pkgconfig/bigreqsproto.pc
- usr/share/pkgconfig/compositeproto.pc
- usr/share/pkgconfig/damageproto.pc
- usr/share/pkgconfig/dmxproto.pc
- usr/share/pkgconfig/dpmsproto.pc
- usr/share/pkgconfig/dri2proto.pc
- usr/share/pkgconfig/dri3proto.pc
- usr/share/pkgconfig/fixesproto.pc
- usr/share/pkgconfig/fontsproto.pc
- usr/share/pkgconfig/glproto.pc
- usr/share/pkgconfig/inputproto.pc
- usr/share/pkgconfig/kbproto.pc
- usr/share/pkgconfig/presentproto.pc
- usr/share/pkgconfig/randrproto.pc
- usr/share/pkgconfig/recordproto.pc
- usr/share/pkgconfig/renderproto.pc
- usr/share/pkgconfig/resourceproto.pc
- usr/share/pkgconfig/scrnsaverproto.pc
- usr/share/pkgconfig/videoproto.pc
- usr/share/pkgconfig/xcmiscproto.pc
- usr/share/pkgconfig/xextproto.pc
- usr/share/pkgconfig/xf86bigfontproto.pc
- usr/share/pkgconfig/xf86dgaproto.pc
- usr/share/pkgconfig/xf86driproto.pc
- usr/share/pkgconfig/xf86vidmodeproto.pc
- usr/share/pkgconfig/xineramaproto.pc
- usr/share/pkgconfig/xproto.pc
- usr/share/pkgconfig/xwaylandproto.pc
- var/db/pkg/x11-base/xorg-proto-2024.1/BDEPEND
- var/db/pkg/x11-base/xorg-proto-2024.1/BUILD_TIME
- var/db/pkg/x11-base/xorg-proto-2024.1/CATEGORY
- var/db/pkg/x11-base/xorg-proto-2024.1/CBUILD
- var/db/pkg/x11-base/xorg-proto-2024.1/CFLAGS
- var/db/pkg/x11-base/xorg-proto-2024.1/CHOST
- var/db/pkg/x11-base/xorg-proto-2024.1/CONTENTS
- var/db/pkg/x11-base/xorg-proto-2024.1/COUNTER
- var/db/pkg/x11-base/xorg-proto-2024.1/CTARGET
- var/db/pkg/x11-base/xorg-proto-2024.1/CXX
- var/db/pkg/x11-base/xorg-proto-2024.1/CXXFLAGS
- var/db/pkg/x11-base/xorg-proto-2024.1/DEFINED_PHASES
- var/db/pkg/x11-base/xorg-proto-2024.1/DESCRIPTION
- var/db/pkg/x11-base/xorg-proto-2024.1/EAPI
- var/db/pkg/x11-base/xorg-proto-2024.1/FEATURES
- var/db/pkg/x11-base/xorg-proto-2024.1/HOMEPAGE
- var/db/pkg/x11-base/xorg-proto-2024.1/INHERITED
- var/db/pkg/x11-base/xorg-proto-2024.1/IUSE
- var/db/pkg/x11-base/xorg-proto-2024.1/IUSE_EFFECTIVE
- var/db/pkg/x11-base/xorg-proto-2024.1/KEYWORDS
- var/db/pkg/x11-base/xorg-proto-2024.1/LDFLAGS
- var/db/pkg/x11-base/xorg-proto-2024.1/LICENSE
- var/db/pkg/x11-base/xorg-proto-2024.1/PF
- var/db/pkg/x11-base/xorg-proto-2024.1/RDEPEND
- var/db/pkg/x11-base/xorg-proto-2024.1/SIZE
- var/db/pkg/x11-base/xorg-proto-2024.1/SLOT
- var/db/pkg/x11-base/xorg-proto-2024.1/USE
- var/db/pkg/x11-base/xorg-proto-2024.1/environment.bz2
- var/db/pkg/x11-base/xorg-proto-2024.1/repository
- var/db/pkg/x11-base/xorg-proto-2024.1/xorg-proto-2024.1.ebuild
package_cacheimage: ""
runtime:
  name: xorg-proto
  version: "2024.1"
  category: x11-base
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: X.Org combined protocol headers
  uri:
  - https://cgit.freedesktop.org/xorg/proto/xorgproto/
  license: GPL-2 MIT
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    RDEPEND: =x11-proto/applewmproto-1.4.2*:0/stub =x11-proto/bigreqsproto-1.1.2*:0/stub
      =x11-proto/compositeproto-0.4.2*:0/stub =x11-proto/damageproto-1.2.1*:0/stub
      =x11-proto/dmxproto-2.3.1*:0/stub =x11-proto/dpmsproto-1.2*:0/stub =x11-proto/dri2proto-2.8*:0/stub
      =x11-proto/dri3proto-1.4*:0/stub =x11-proto/evieproto-1.1.1*:0/stub =x11-proto/fixesproto-6.1*:0/stub
      =x11-proto/fontcacheproto-0.1.3*:0/stub =x11-proto/fontsproto-2.1.3*:0/stub
      =x11-proto/glproto-1.4.17*:0/stub =x11-proto/inputproto-2.3.99.2*:0/stub =x11-proto/kbproto-1.0.7*:0/stub
      =x11-proto/lg3dproto-5.0*:0/stub =x11-proto/presentproto-1.4*:0/stub =x11-proto/printproto-1.0.5*:0/stub
      =x11-proto/randrproto-1.6.0*:0/stub =x11-proto/recordproto-1.14.2*:0/stub =x11-proto/renderproto-0.11.1*:0/stub
      =x11-proto/resourceproto-1.2.0*:0/stub =x11-proto/scrnsaverproto-1.2.3*:0/stub
      =x11-proto/trapproto-3.4.3*:0/stub =x11-proto/videoproto-2.3.3*:0/stub =x11-proto/windowswmproto-1.0.4*:0/stub
      =x11-proto/xcalibrateproto-0.1.0*:0/stub =x11-proto/xcmiscproto-1.2.2*:0/stub
      =x11-proto/xextproto-7.3.0*:0/stub =x11-proto/xf86bigfontproto-1.2.0*:0/stub
      =x11-proto/xf86dgaproto-2.1*:0/stub =x11-proto/xf86driproto-2.1.1*:0/stub =x11-proto/xf86miscproto-0.9.3*:0/stub
      =x11-proto/xf86rushproto-1.1.2*:0/stub =x11-proto/xf86vidmodeproto-2.3.1*:0/stub
      =x11-proto/xineramaproto-1.2.1*:0/stub =x11-proto/xproto-7.0.33*:0/stub =x11-proto/xproxymngproto-1.0.3*:0/stub
      =x11-proto/xwaylandproto-1.0*:0/stub
    emerge.packages: x11-base/xorg-proto
    kit: xorg-kit
    original.package.name: x11-base/xorg-proto
    original.package.slot: "0"
    original.package.version: "2024.1"
